osl::PtypeTraits< PKNIGHT > Struct Template Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Static Public Member Functions | Static Public Attributes | List of all members
osl::PtypeTraits< PKNIGHT > Struct Template Reference

`#include <ptypeTraits.h>`

## Static Public Member Functions
static const char * | name ()
static const char * | csaName ()

## Static Public Attributes
static const bool | isBasic =false
static const bool | canPromote =false
static const bool | betterToPromote =false
static const Ptype | moveType =GOLD
static const int | moveMask =PtypeTraits<GOLD>::moveMask
static const Ptype | basicType =KNIGHT
static const int | indexMin =PtypeTraits<basicType>::indexMin

## Detailed Description

### template<>
struct osl::PtypeTraits< PKNIGHT >

Definition at line 144 of file ptypeTraits.h.

## Member Function Documentation

static const char* osl::PtypeTraits< PKNIGHT >::csaName | ( | ) |  |
| inlinestatic

Definition at line 151 of file ptypeTraits.h.

static const char* osl::PtypeTraits< PKNIGHT >::name | ( | ) |  |
| inlinestatic

Definition at line 150 of file ptypeTraits.h.

## Member Data Documentation

const Ptype osl::PtypeTraits< PKNIGHT >::basicType =KNIGHT
| static

Definition at line 153 of file ptypeTraits.h.

const bool osl::PtypeTraits< PKNIGHT >::betterToPromote =false
| static

Definition at line 148 of file ptypeTraits.h.

const bool osl::PtypeTraits< PKNIGHT >::canPromote =false
| static

Definition at line 147 of file ptypeTraits.h.

const int osl::PtypeTraits< PKNIGHT >::indexMin =PtypeTraits<basicType>::indexMin
| static

Definition at line 154 of file ptypeTraits.h.

const bool osl::PtypeTraits< PKNIGHT >::isBasic =false
| static

Definition at line 146 of file ptypeTraits.h.

const int osl::PtypeTraits< PKNIGHT >::moveMask =PtypeTraits<GOLD>::moveMask
| static

Definition at line 152 of file ptypeTraits.h.

const Ptype osl::PtypeTraits< PKNIGHT >::moveType =GOLD
| static

Definition at line 149 of file ptypeTraits.h.

The documentation for this struct was generated from the following file:

- ptypeTraits.h